Bug 734345 - Switch from SysV init scripts to systemd units
Summary: Switch from SysV init scripts to systemd units
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openstack-nova
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Angus Salkeld
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-30 07:05 UTC by Mark McLoughlin
Modified: 2014-01-13 01:40 UTC (History)
4 users (show)

Fixed In Version: openstack-nova-2011.3-0.5.d4.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-07 03:26:15 UTC


Attachments (Terms of Use)

Description Mark McLoughlin 2011-08-30 07:05:37 UTC
According to http://fedoraproject.org/wiki/Packaging:SysVInitScript

  "SysV initscripts are no longer the default, they have been obsoleted by 
   systemd unit files"

Also, I had a TODO item to add tmpfiles.d configuration, but I don't think that'll be needed once we switch to systemd units? See:

  http://fedoraproject.org/wiki/Packaging:Tmpfiles.d

We would have needed:

  D /var/run/nova 0755 root root -

Comment 1 Fedora Update System 2011-08-30 12:40:44 UTC
openstack-nova-2011.3-0.5.d4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/openstack-nova-2011.3-0.5.d4.fc16

Comment 2 Fedora Update System 2011-08-30 20:37:03 UTC
Package openstack-nova-2011.3-0.5.d4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openstack-nova-2011.3-0.5.d4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/openstack-nova-2011.3-0.5.d4.fc16
then log in and leave karma (feedback).

Comment 3 Mark McLoughlin 2011-08-30 20:52:45 UTC
Angus has pushed his excellent patch to fix this, but I just wanted to add a
note for completeness

Upgrading from the version of the package containing the initscripts doesn't
work because we haven't implemented the trigger described here:

  http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd

Since the package is brand new and only a handful of people have installed it,
I'm fine with that

Now, we might (conceivably, but unlikely) in future create a repo with Fedora
14 packages and these will contain initscripts. When these users update their
systems to F15 or later, the initscript to systemd migration wouldn't work. Not
something I'm going to lose sleep over.

Same thing for the EPEL6 packages I guess, but I don't think there's a
supported migration path to worry about there.

Comment 4 Angus Salkeld 2011-08-30 22:18:02 UTC
(In reply to comment #3)
> Angus has pushed his excellent patch to fix this, but I just wanted to add a
> note for completeness
> 
> Upgrading from the version of the package containing the initscripts doesn't
> work because we haven't implemented the trigger described here:
> 
>   http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd
> 
> Since the package is brand new and only a handful of people have installed it,
> I'm fine with that

Ya, I saw the trigger but given that's pretty much new I left it out.


> 
> Now, we might (conceivably, but unlikely) in future create a repo with Fedora
> 14 packages and these will contain initscripts. When these users update their
> systems to F15 or later, the initscript to systemd migration wouldn't work. Not
> something I'm going to lose sleep over.
> 
> Same thing for the EPEL6 packages I guess, but I don't think there's a
> supported migration path to worry about there.

Comment 5 Fedora Update System 2011-09-07 03:26:10 UTC
openstack-nova-2011.3-0.5.d4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.